import request from '@/config/axios';
import type { TableData } from './types';

/** 获取表格数据 */
export const getPendingNoticeListApi = (data: any) => {
  return request.postJson({ url: '/srdb/spi/srdb/PendingNotice/PendingNoticeQueryPage', data });
};

/** 批量删除 */
export const delPendingNoticeListApi = (list: string[] | number[]): Promise<IResponse> => {
  const _list = list.map(v => {
    return {
      id: v.id,
    };
  });
  return request.postJson({
    url: '/srdb/spi/srdb/PendingNotice/PendingNoticeBatchDelete',
    data: {
      list: _list,
    },
  });
};

/** 删除 */
export const delPendingNoticeApi = (id?: string): Promise<IResponse> => {
  return request.postJson({ url: '/srdb/spi/srdb/PendingNotice/PendingNoticeDelete', data: { id } });
};

/** 保存 */
export const savePendingNoticeApi = (data: Partial<TableData>): Promise<IResponse> => {
  return request.postJson({ url: '/srdb/spi/srdb/PendingNotice/PendingNoticeSave', data });
};

/** 查询单条数据 */
export const queryPendingNoticeApi = (id?: string): Promise<IResponse> => {
  return request.postJson({ url: '/srdb/spi/srdb/PendingNotice/PendingNoticeQueryOne', data: { id } });
};

/** 同步导入 */
export const importExcelApiUrl = '/srdb/sui/srdb/PendingNotice/PendingNoticeImportExcel';

/** 异步导入 */
export const importExcelAsyncApiUrl = '/srdb/sui/srdb/PendingNotice/PendingNoticeImportAsyncExcel';

/** 导出 */
export const exportExcelApi = (params: any) => {
  return request.doExport({ url: '/srdb/sdi/srdb/PendingNotice/PendingNoticeExportXls', params });
};

/** 获取某个字典 */
export const getCsckCheckType = ({ paramName, systemCode }): Promise<IResponse> => {
  return request.postJson({
    url: '/param/spi/param/systemparam',
    data: {
      paramName: paramName,
      systemCode: systemCode,
    },
  });
};

